// Import Bulma's core
@import "~bulma/sass/utilities/_all";
@import url('https://fonts.googleapis.com/css?family=Open+Sans|Quicksand:300,400,500,600,700&display=swap');


// @font-face {
//     font-family: 'Quicksand', sans-serif;
//     font-family: 'Open Sans', sans-serif;
//     src: url('https://fonts.googleapis.com/css?family=Open+Sans|Quicksand:300,400,500,600,700&display=swap');
// }

$body-family: 'Quicksand', sans-serif;
// $body-weight: 500;

$family-secondary : 'Open Sans', sans-serif;
// $weight-normal: 500;

// Set your colors
// $primary: #151515;
$primary: #414654;
//$primary-invert: findColorInvert($primary);
$primary-invert: #d7dadc;

//$info: #0B84BD;
$info: #337ab7;
$info-invert: findColorInvert($info);
$success: #21a290;
$success-invert: findColorInvert($success);
$danger: #D64E61;
$danger-invert: findColorInvert($danger);
$dark: #383e4a;
$dark-invert: findColorInvert($dark);
$twitter: #4099FF;
$twitter-invert: findColorInvert($twitter);

// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: (
    "white": ($white, $black),
    "black": ($black, $white),
    "light": ($light, $light-invert),
    "dark": ($dark, $dark-invert),
    "primary": ($primary, $primary-invert),
    "info": ($info, $info-invert),
    "success": ($success, $success-invert),
    "warning": ($warning, $warning-invert),
    "danger": ($danger, $danger-invert),
    "twitter": ($twitter, $twitter-invert)
);

// Links
$link: $info;
$link-invert: $info-invert;
$link-focus-border: $info;

// $snackbar-background-color: $primary;
// $snackbar-color: findColorInvert($snackbar-background-color);

// Import Bulma and Buefy styles
@import "~bulma";
@import "~buefy/src/scss/buefy";